# Loop Spreadsheet Rows

Runs commands for each row of a spreadsheet

#### Sheet

* Sheet to read

#### **Variables to assign row values**

* Variables to store the values of the current row

#### Filter

* Conditions to limit the spreadsheet rows that are looped

#### Variable to assign row number

* Variable to store the current row number
  * Can be used for updating row values with [Update Spreadsheet Row](/reference/browserflow-commands/spreadsheet/update-spreadsheet-row.md)

#### Limit (optional)

* Number of spreadsheet rows to loop


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.browserflow.app/reference/browserflow-commands/spreadsheet/loop-spreadsheet-rows.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
